<?php
include_once("core/main.php");

if( !check_user_class($config["admmenu"]["Center Boxes"]["class"]) ) exit;
if( !check_module("centerboxes") ) die( "module not enabled" );

$page_name = "Center Boxes";

draw_header();

global $config;
global $lang;

$stmt         = "select title from {$config["prefix"]}_menu";
$ret          = db_query( $stmt );
$menu_options = $lang["HOME_TITLE"];

if ($ret)
{
  while ($row = db_fetch_array( $ret ))
  {
    $menu_options = $menu_options .','.$row["title"];
  }
  db_free_result($ret);
}

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_centerboxes", "cod", "pos,title", "pos" );

// read drectory
$img_files = "none";
$dir = opendir("modules/centerboxes/content/") or die( $ERROR_05 );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") $img_files .= ",".substr( $file, 0, strrpos( $file, "." ) );
}
closedir($dir);

$formdb->add_textbox( "pos", "Position", 10 );
$formdb->add_checkbox( "active", "Active ?", "1", "0" );
$formdb->add_checkbox( "oneverypage", "Show on every page ?", "1", "0" );
$formdb->add_static_listbox( "menuoption", "Menu option", $menu_options );
$formdb->add_textbox( "title", "Title", 60 );
$formdb->add_textarea( "content", "Content", 60, 10 );
$formdb->add_static_listbox( "file", "Include file", $img_files );

theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();

?>